<?xml version="1.0" encoding="ASCII"?>

<!-- oks-data version 2.0 -->


<!DOCTYPE oks-data [
  <!ELEMENT oks-data (info, (include)?, (comments)?, (obj)+)>
  <!ELEMENT info EMPTY>
  <!ATTLIST info
      name CDATA #REQUIRED
      type CDATA #REQUIRED
      num-of-items CDATA #REQUIRED
      oks-format CDATA #FIXED "extended"
      oks-version CDATA #REQUIRED
      created-by CDATA #REQUIRED
      created-on CDATA #REQUIRED
      creation-time CDATA #REQUIRED
      last-modified-by CDATA #REQUIRED
      last-modified-on CDATA #REQUIRED
      last-modification-time CDATA #REQUIRED
  >
  <!ELEMENT include (file)+>
  <!ELEMENT file EMPTY>
  <!ATTLIST file
      path CDATA #REQUIRED
  >
  <!ELEMENT comments (comment)+>
  <!ELEMENT comment EMPTY>
  <!ATTLIST comment
      creation-time CDATA #REQUIRED
      created-by CDATA #REQUIRED
      created-on CDATA #REQUIRED
      author CDATA #REQUIRED
      text CDATA #REQUIRED
  >
  <!ELEMENT obj (attr | rel)*>
  <!ATTLIST obj
      class CDATA #REQUIRED
      id CDATA #REQUIRED
  >
  <!ELEMENT attr (#PCDATA)*>
  <!ATTLIST attr
      name CDATA #REQUIRED
      type (bool|s8|u8|s16|u16|s32|u32|s64|u64|float|double|date|time|string|uid|enum|class|-) "-"
      num CDATA "-1"
  >
  <!ELEMENT rel (#PCDATA)*>
  <!ATTLIST rel
      name CDATA #REQUIRED
      num CDATA "-1"
  >
]>

<oks-data>

<info name="" type="" num-of-items="3" oks-format="extended" oks-version="oks-06-10-11 built &quot;May 22 2017&quot;" created-by="mastrand" created-on="pc-atlas-pub-03.cern.ch" creation-time="20190522T134050" last-modified-by="mastrand" last-modified-on="pc-atlas-pub-03.cern.ch" last-modification-time="20190522T134051"/>

<include>
 <file path="ftk/sw/FtkSwRepository.data.xml"/>
 <file path="ftk/segments/FTK-common.data.xml"/>
 <file path="ftk/hw/hosts-ftk.data.xml"/>
 <file path="daq/hw/hosts.data.xml"/>
 <file path="daq/segments/setup.data.xml"/>
 <file path="daq/schema/RODBusy.schema.xml"/>
 <file path="ftk/segments/FTK-RCD-VME-PU.data.xml"/>
 <file path="ftk/segments/FTK-GNAM.data.xml"/>
 <file path="ftk/segments/FTK-DQMF.data.xml"/>
</include>

<comments>
 <comment creation-time="20190522T134051" created-by="mastrand" created-on="pc-atlas-pub-03.cern.ch" author="mastrand" text="C++ oksconfig plug-in user: &apos;mastrand&apos;, host: &apos;pc-atlas-pub-03.cern.ch&apos;, log message: &apos;python plug-in&apos;&#xA;-----&#xA;C++ oksconfig plug-in user: &apos;mastrand&apos;, host: &apos;pc-atlas-pub-03.cern.ch&apos;, log message: &apos;python plug-in&apos;&#xA;-----&#xA;C++ oksconfig plug-in user: &apos;mastrand&apos;, host: &apos;pc-atlas-pub-03.cern.ch&apos;, log message: &apos;python plug-in&apos;"/>
</comments>


<obj class="Segment" id="FTK">
 <rel name="Segments" num="0"></rel>
 <rel name="UsesObjects" num="0"></rel>
 <rel name="UsesSystems" num="0"></rel>
 <rel name="Resources" num="3">
  "RCD" "FTK-RCD-VME-1"
  "RCD" "FTK-RCD-VME-2"
  "GnamApplication" "gnamFTK"
 </rel>
 <rel name="Infrastructure" num="0"></rel>
 <rel name="Applications" num="1">
  "DQAgent" "FTK_DQAgent"
 </rel>
 <rel name="ProcessEnvironment" num="0"></rel>
 <rel name="IsControlledBy">"RunControlTemplateApplication" "DefRC-TTC"</rel>
 <rel name="DefaultTags" num="0"></rel>
 <rel name="JarFiles" num="0"></rel>
 <rel name="Parameters" num="0"></rel>
 <rel name="Hosts" num="0"></rel>
 <rel name="TestRepositories" num="0"></rel>
 <rel name="SubTransitions" num="2">
  "SubTransition" "FTK_checkConnect"
  "SubTransition" "FTK_startNoDF"
 </rel>
</obj>

<obj class="SubTransition" id="FTK_checkConnect">
 <attr name="MainTransition" type="enum">"START"</attr>
 <attr name="Substeps" type="string" num="1">
  "checkConnect"
 </attr>
</obj>

<obj class="SubTransition" id="FTK_startNoDF">
 <attr name="MainTransition" type="enum">"START"</attr>
 <attr name="Substeps" type="string" num="1">
  "startNoDF"
 </attr>
</obj>

</oks-data>
